

def bReadAllRegs():
    ReadAllRegisters()
   

def bWriteAllRegs():
    WriteAllRegisters()
    
def bCheckEngineeringBits():
    Fields={'LDO_PD':0,'DITH_FIX':1,'FRAC_TEST':0,'MCLK':1,'CP_MM':0,'CP_TIMING':0,'CP_ADJ':0,'OSC_DIF':0,'DLDS':2,'FDL_TEST':0,'PAR_EN':0,'SCAN':0,'PIN_DTEST':0,'LDO_TEST':0,'PSTV':0}
    names = Fields.keys()
    values = Fields.values()
    
    UpdateStatusBar("--- Engineering Fields and their Defaults ---")
    for name, val in Fields.items():
        UpdateStatusBar("%s=%d" % (name, val) )
    
    UpdateStatusBar(" ")
    Failures=0
    for name, val in Fields.items():
        if globals()[name].iValue != val:
            Failures=Failures+1
            if (1==Failures):
                UpdateStatusBar("--- Incorrect Fields Found ...") 
            UpdateStatusBar("->%s=%d but should be %d" % (name, globals()[name].iValue, val) )
    if (0==Failures):
        UpdateStatusBar("--- No Incorrect Fields Found.")
    UpdateStatusBar("--- Engineering Field Check Complete ---")
